%define realname   Net-Bluetooth

Name:		perl-%{realname}
Version:        0.40
Release:        %mkrel 5
License:	GPL or Artistic
Group:		Development/Perl
Summary:        Net::Bluetooth - Perl Bluetooth Interface
Source0:        ftp://ftp.perl.org/pub/CPAN/modules/by-module/Net/Net-Bluetooth-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{realname}
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: bluez-devel
BuildRequires: perl-devel
Requires(pre):  bluez

%description
Net::Bluetooth - Perl Bluetooth Interface
This module creates a Bluetooth interface for Perl.

%prep
%setup -q -n Net-Bluetooth-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorarch}/*
%{perl_vendorarch}/auto/Net/*
%dir %{perl_vendorarch}/auto/Net/Bluetooth
%{perl_vendorarch}/auto/Net/Bluetooth/*
%{_mandir}/man3/*


%changelog
* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.40-5mdv2009.0
+ Revision: 257951
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.40-4mdv2009.0
+ Revision: 246002
- rebuild
- fix spacing at top of description

* Tue Jan 15 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.40-2mdv2008.1
+ Revision: 152216
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Aug 16 2007 Funda Wang <fundawang@mandriva.org> 0.40-1mdv2008.0
+ Revision: 64131
- New version 0.40

* Wed May 23 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.39-1mdv2008.0
+ Revision: 30113
- Fix BR
- Import perl-Net-Bluetooth



* Wed May 23 2007 Nicolas Lcureuil <neoclust@mandriva.org> 0.39-1mdv2008.0
- First Mandriva package
